Esittely

7+ Taskbar Tweaker on ohjelma jonka avulla voi muokata Windowsin tehtäväpalkin toimintoja.

Suuri osa toiminnoista on sellaisia joita ei voi muokata muuttamalla tehtäväpalkin asetuksia tai kirjoittamalla rekisteriin.

7+ Taskbar Tweaker on suunniteltu Windows 7, Windows 8, Windows 8.1, ja Windows 10 ympäristöön.

Linkit

  • Web sivut
  • Vikailmoitukset ja muutospyynnöt
  • Lahjoita

Copyright © 2009-2017 by RaMMicHaeL. All Rights Reserved.


Muutoshistoria (englanniksi)

Esittely ››

v5.4 (May 19, 2017)

  • Added support for the Windows 10 Fall Creators Update (build 16299).
  • The tweaker now shows a warning message for unsupported Windows 10 builds.
  • Added an advanced Mouse Button Control option to alphabetically sorts group items.
  • When the "Control volume when mouse is over: The notification area" option is on, it is being activated over the clock of secondary monitors now, too.
  • Windows 10: Double/middle clicking the taskbar opens the start menu on the correct monitor.
  • Windows 10 and the no_start_btn_spacing advanced option: clicking on the empty corner now opens the start menu.
  • Fixed the "Combine grouped buttons" option when switching virtual desktops on Windows 10.
  • Fixed a bug with the drag_towards_desktop advanced option, which could activate unrelated windows.
  • Added a Spanish help file, by Leonel Mira (carpediemando.890m.com).
  • Added a French help file, by Wullfk (easy-pc.org).

v5.3 (May 19, 2017)

  • Added support for the Windows 10 Creators Update (build 15063).

I want to thank everybody who donated for the porting effort : Steve Ellmore, Mark Light, Joe Gores, and other contributors .

  • Added the scroll_no_wrap advanced option, which disables the wrapping around behavior for the "cycle between taskbar buttons" option.
  • Fixed a bug in Windows 10 Anniversary Update, which could cause several options to work incorrectly.
  • Fixed taskbar items reordering while applying tweaks in several cases.
  • Fixed for Mouse Button Control advanced options: custom right click actions could cause the taskbar context menu to show up.
  • Fixed a bug which caused the tray_icons_padding advanced option to get reset sometimes.
  • Added Bulgarian translation, by Radoslav Nenchovski (Радослав Ненчовски).
  • Added Hebrew translation, by Gil Bar-Shlomo (גיל בר-שלמה).
  • Updated the Polish help file.

v5.2.1 (September 10, 2016)

  • Hotfix: disabling the thumbnail preview on hover caused the preview to not be displayed when clicking on a combined taskbar group.

v5.2 (September 9, 2016)

  • Added support for the Windows 10 Anniversary Update (build 14393).
  • Added the following supported values for the Mouse Button Control advanced options:

volumeicon - allows to customize actions for volume tray icon click.

showdesktop - allows to customize actions for the Show Desktop button.

  • Implemented the virtual_desktop_order_fix advanced option for Windows 10. The option preserves the order of the taskbar buttons when switching between virtual desktops.
  • Implemented the tray_icons_padding advanced option for Windows 10.
  • Fixed the multipage_wheel_scroll advanced option, which didn't work when the mouse was over the empty space of the taskbar.
  • Updated tray icon, with anti-aliasing and better support for high DPI.

The icon was designed by Daniel Beardsmore. Thanks!

  • Added Slovak translation, by Vladimír Kubala.
  • Other minor fixes and improvements.

v5.1 (December 4, 2015)

  • Added support for The First Major Update of Windows 10 (build 10586).
  • Fixed rearranging of Taskbar Inspector items when the scrollbar is visible.
  • Windows 10: when using the disable_topmost option, bring the taskbar to the foreground when the Windows key is pressed.
  • Improved the English dialog for high DPI.
  • Fixed: when closing a window with a middle click, if the window had an "are you sure?" message, the tweaker didn't always bring it to the foreground.

v5.0 (August 22, 2015)

  • Windows 10 support.

I want to thank everybody who donated for the porting effort : Mike T, Fraser Ntukula , and other contributors .

  • Fixed compatibility with the KB3072318 update for Windows 8.1.
  • Improved compatibility of pinned items with the option to disable grouping.
  • Added the disable_tray_icons_drag advanced option, which disables the drag operation of notification area items, i.e. makes reordering of items impossible.
  • Added the w10_large_icons advanced option, which changes taskbar icon sizes from 24x24 to 32x32 on Windows 10.
  • Added the cycle_same_virtual_desktop advanced option, which tweaks the Left click on combined item option to cycle only through windows that belong to the current virtual desktop.
  • Added a new option for the disable_taskbar_transparency advanced option, which allows to use the basic theme taskbar color (Windows 7).
  • Added Mouse Button Control options to maximize/restore a taskbar item, and to maximize/restore all buttons of a group.
  • Improved the no_width_limit advanced option to work for multiple monitors.
  • Fixed the disable_items_drag advanced option, which caused the thumbnail previews to not appear.
  • Fixed: when the disable_topmost advanced option was on, the start button could get stuck in hovered state on Windows 7.
  • A custom icon ("7+ Taskbar Tweaker.ico", if exists) is now applied for the main window as well.
  • Korean translation, by Metrics Spec.

v4.5.10 (April 7, 2015)

  • Added an automatic update feature, which can be enabled from the settings dialog.
  • Added the disable_items_drag advanced option, which disables the drag operation of taskbar items on the task list.
  • The tweaker now prevents explorer from changing AppIDs of folder windows when the current AppID is a random AppID (random_group_xxxxxxxx). This does not work if the folder window runs in a separate process.
  • Fixed: sometime decombining didn't work when taskbar animations are disabled.
  • Fixed an issue of the MinHook library, which could prevent the tweaker from working.
  • Fixed several crashes.

v4.5.8 (February 27, 2015)

  • Quick fix: fixed an incompatibility with several other tweaking programs.

v4.5.7 (February 26, 2015)

  • Added the no_start_btn_spacing advanced option, which allows to control the spacing size when the start button is hidden.
  • Added a new advanced option, right_drag_toggle_labels, which was always turned on with the "Drag within/between groups using right mouse button" option.
  • Added a new advanced option, show_desktop_on_hover, which makes the taskbar to show desktop when a file is dragged over it (similar to Windows XP).
  • Improved the disable_topmost advanced option in Windows 7.
  • If the file "7+ Taskbar Tweaker.ico" exists, it's used as a tray icon.
  • Finnish translation of the program and the help file, by Viligg.
  • Small fixes.

v4.5.6 (November 22, 2014)

  • Added the "disable_taskbar_transparency" advanced option.
  • Added the "always_show_tooltip" advanced option, which forces a tooltip to be shown on hover, even if the text fits the taskbar button.
  • Improved startup time for the case when only specific, lightweight options are used.
  • Fixed a possible crash.

v4.5.5 (October 31, 2014)

  • Made 7+ Taskbar Tweaker compatible with the 7+ Taskbar Tweaking Library .
  • Mouse Button Control: added options to minimize/close all items of a button group.
  • Fixed a crash with the "Middle click -> Minimize" option, which wasn't completely fixed in v4.5.4.
  • Improved the "disable_topmost" advanced option.

v4.5.4 (October 4, 2014)

  • Fixed the "Combining" option.
  • Fixed a crash with the "Middle click -> Switch to", "Middle click -> Minimize" options.
  • Fixed: the combination of the "Middle click" and "Left click on combined item" options didn't work correctly.

v4.5.3 (October 2, 2014)

  • Fixed a crash (Windows 8.1 Update 1 was not affected).

v4.5.2 (October 1, 2014)

  • Improved support for taskbar items of Metro applications.
  • Improved the disable_topmost advanced option.
  • Implemented an additional configuration setting for the disable_topmost advanced option, which allows to configure maximized windows to overlap the taskbar.
  • Improved the "Decombine: Active group" option when interacting with the task list (e.g. with a middle click).
  • Improved compatibility of Mouse Button Control advanced options with the following options: Pinned items -> Open with double click, Left click on combined item -> Cycle through windows.
  • Fixed: the scroll_maximize_restore advanced option didn't work correctly for IE (and probably for other programs which use multiple thumbnail previews for a single window).
  • Fixed a crash.

v4.5.1 (June 27, 2014)

  • New advanced option: disable_topmost, which allows you to make the taskbar non-topmost.
  • New advanced option: multirow_equal_width, which forces the items on every row of a multirow taskbar to have the same width.
  • New advanced option: scroll_maximize_restore, which extends the "minimize/restore when mouse is over..." option to switch between minimize/restore/maximize.
  • Fixed a crash for the drag_towards_desktop=5 advanced option on Windows 8.1 Update 1.

v4.5 (May 10, 2014)

  • Windows 8.1 Update 1 support.

I want to thank everybody who donated for the porting effort : Charles George, Justin Shillock (Platypus Man), and other contributors .

  • Improved compatibility with the "focus follows mouse" accessibility option.
  • Fixed a bug which prevented the thumbnail preview from closing under certain circumstances.
  • Fixed a rare bug when the shift or ctrl key became stuck.
  • Fixed: the main dialog didn't look correctly with the classic theme (Windows 7) for the following languages: Czech, German, Italian, Polish, Russian.
  • Fixed: explorer could crash under certain circumstances.

v4.4.6 (February 22, 2014)

  • Fixed the list_reverse_order advanced option for cases where the list contains lots of items and scrolling arrows are added.
  • Fixed, when using mouse wheel volume control: if a dialog other than the volume control is open (e.g. the Volume Mixer), mouse scroll didn't bring it to front.
  • Added a short delay before checking for an update. This might have fixed a crash which occurred when the PC woke up.
  • Fix: after clicking on the taskbar, volume control was launched even if the mouse is not inside the taskbar.
  • Fix: some windows couldn't be restored from the minimized state.
  • Japanese translation, by milksizegene.

v4.4.5 (January 5, 2014)

  • Hotfix: tray clock wasn't responsive to mouse hover events.

v4.4.4 (January 4, 2014)

  • New advanced option: list_reverse_order, which allows to reverse the displaying order of items in the preview list. To be used with the option Hovering -> List.
  • New advanced option: w7_show_desktop_classic_corner, which fixes a bug of Windows 7: when the classic theme is used, clicking on the screen corner where the "Show desktop" button is located doesn't activate the button.
  • Mouse Button Control: options to cycle through windows by clicking the empty space of the taskbar.
  • When the Task Switcher window (Alt+Tab) is open, mouse scroll events aren't being captured by the taskbar.

v4.4.3 (December 17, 2013)

  • Fixed: on Windows 8/8.1 64-bit, clicking on a decombined button opens thumbnail preview instead of switching to the corresponding window.
  • Fixed: the no_width_limit advanced option didn't work on Windows 7 if the start button was hidden.

v4.4.2 (December 15, 2013)

  • New advanced option: tray_icons_padding, which allows to customize the horizontal padding between icons in the notification area.
  • New advanced option: no_width_limit, which removes the minimum width limitation of the vertical taskbar.
  • When the option to open pinned items with a double click is turned on, it's now possible to launch applications with Shift+click as well.
  • Advanced options now have more priority than regular options, e.g. if you customize the same key in the main window and in the Advanced Options Editor, the latter will apply.
  • The installer launches the tweaker as non-elevated, even if the installer itself was run as administrator.
  • Bug fixes.

v4.4.1 (November 29, 2013)

  • New advanced option: show_desktop_button_size, which allows to customize the size of the "Show desktop" button.
  • Mouse Button Control: an option to terminate the process associated with a specific window.
  • The Advanced Options Editor is now modeless, i.e. doesn't block the main window.
  • Fixed a serious bug which could lead to a crash or a failure to initialize if both:

1. More than one instance of the tweaker is being used on the PC (e.g. multiuser environment).

2. One or more of the "Mouse wheel" options is being used.

  • Minimal support for SysInternals Desktops.

v4.4 (November 12, 2013)

  • New option: Hide the Start button.
  • New option: Show Start menu/Start screen on double/middle click on the empty space.

This option is also available for the Mouse Button Control and Keyboard Shortcuts advanced options.

  • Advanced Options Editor. (See Advanced options in help file for more details.)
  • New advanced option: drag_towards_desktop, which was available as a check box.

It's not available from the main interface anymore, but the new option provides more customization.

  • Mouse Button Control: an option to show thumbnail previews.
  • Fixed: the window background was shown in high contrast mode.
  • Fixed: volume control sometimes appeared in a wrong location.

v4.3.1 (October 18, 2013)

  • New registry option that allows to hide the start button (currently works only for Windows 8.1).
  • New registry option that allows to scroll a multipage taskbar with the mouse wheel.
  • Improved tooltips on hover: removed delay after the first tooltip.
  • Fixed: Taskbar Inspector doesn't overlap the taskbar when it's set to auto-hide.
  • Arabic translation, by Cyb3r.

v4.3 (October 4, 2013)

  • Windows 8.1 support.
  • Taskbar Inspector: you can use Ctrl+C to copy selected items as text.
  • New registry options, scroll_reverse_cycle and scroll_reverse_minimize, which allow you to reverse the mouse wheel direction for certain tweaks.
  • Fixed a bug that caused taskbar icons to flicker for certain configuration when the taskbar is full.
  • Fixed a bug that could cause explorer to hang when Taskbar Inspector is open.
  • Fixed: Mouse Button Control options didn't work for X1/X2 mouse buttons, and sometimes didn't work correctly for double clicks.

v4.2.7 (July 18, 2013)

  • Labels on thumbnails are now displayed for items that were set to never show labels on the taskbar.
  • Added a new registry option, always_show_thumb_labels, which makes labels on thumbnails always visible.
  • Greek translation, by George Georgiou (Γιώργος Γεωργίου).

v4.2.6 (June 02, 2013)

  • Improved closing with a middle click - if a notification is shown before closing, the window is brought to the foreground.
  • Improved handling of hung windows.
  • Fixed a possible crash caused by the "When not grouping, place new items next to the existing ones" option.

v4.2.5 (May 14, 2013)

  • Added Keyboard Shortcuts advanced options. See help for more details.
  • Improved reordering between groups using the right mouse button.
  • When closing a window with a middle click, allow it to gain focus.
  • Fixed the tooltip volume control registry option.
  • Added access key shortcuts (Alt+X) to the tray icon right click menu.

v4.2.4 (April 30, 2013)

  • Made volume control compatible with the Volume Mixer.
  • Reverted a fix for Windows 7, which appears to be incompatible with other apps such as QTTabBar (now available as a registry option).
  • Fix: the option to not show jump list when dragging made thumbnails appear in an incorrect position.

v4.2.3 (April 26, 2013)

  • Registry option: fix taskbar buttons rearrangement caused by hung windows. Enabled by default.

More information .

  • Turkish translation of the help file, by Fatih Fırıncı.
  • Fix: use a more reliable injection method. Previously, the tweaker could silently fail to inject.
  • Fix: wait until explorer is completely initialized before attempting to inject.

v4.2.2 (April 16, 2013)

  • Fixed a serious bug that could lead to an explorer crash when Taskbar Inspector is open.
  • Turkish translation update.

v4.2.1 (April 14, 2013)

  • Fix: apply correct width when showing seconds on the tray clock. Mostly affects users of classic theme with small icons preference.
  • Registry option: fix clock width, which is wider than it should be, when using small icons.

v4.2 (April 13, 2013)

  • New option: Display seconds on the tray clock.
  • New option: Don't show jump list when dragging a taskbar item towards the desktop.
  • Simplified Chinese translation of the help file, by horan.
  • Improved the "decombine active group"/"decombine on mouse hover" options compatibility with jump lists.
  • Improved the injection method.
  • Small fixes.

v4.1.8 (April 1, 2013)

  • Quick fix: clicking the clock doesn't work on Windows 7.

v4.1.7 (April 1, 2013)

  • Macedonian translation, by Милан Велковски.
  • Small fixes.

v4.1.6 (March 23, 2013)

  • Right Click -> Standard window menu: Applies for keyboard as well (Windows + T -> Menu key).
  • Mouse Button Control: Fixed double click control (See help for more information about the option).

v4.1.5 (February 22, 2013)

  • Serbian translation, by ozzii (оззии).

v4.1.4 (February 9, 2013)

  • Ukrainian translation, by Ura Chorniy (Юра Чорний).
  • Czech translation, by Drusilla Peterek and Stepan Hasler.
  • Polish translation of the help file, by Artur Łukasik (MAURYCY).
  • Latvian, Polish, and Russian translation updates.

v4.1.3 (January 25, 2013)

  • Dutch translation of the help file, by Frank Meijer.

v4.1.2 (January 18, 2013)

  • Detect target version from explorer's version info, not from the OS. Now the tweaker works with exotic stuff like Windows 7 explorer on Windows 8 .
  • Slovenian translation update.

v4.1.1 (December 18, 2012)

  • Hungarian translation, by Tóth Ádám.
  • German translation of the help file, by Daniel Reiners, the first hero to translate the whole help file!

v4.1 (December 14, 2012)

  • A help file.
  • Update notification: A checkbox for not notifying about a particular version.
  • Latvian translation, thanks Aigars Jacmenkins!
  • Windows volume control (SndVol.exe) runs in higher priority for better performance.
  • Fixed right drag detach on vertical taskbar ("Drag within/between groups using right mouse button" option).
  • Rebuilt the portable launcher to support older processors (versions 4.0.4 to 4.0.10 supported only processors with SSE2 instruction set).

v4.0.10 (October 17, 2012)

  • Fixed a bug that could cause a crash.

v4.0.9 (September 26, 2012)

  • Fixed the always-combine option and combining per Application ID in several situations.

v4.0.8 (September 18, 2012)

  • Improved the always-combine option and combining per Application ID (fixes combining with a vertical taskbar).
  • Fixed a possible crash when clicking on a pinned item.
  • Dutch translation, thanks Frank Meijer!

v4.0.7 (September 2, 2012)

  • Rebuilt the tweaker to support older processors (versions 4.0.4, 4.0.5, 4.0.6 supported only processors with SSE2 instruction set).

v4.0.6 (September 1, 2012)

  • Fixed the decombine-on-active-group option, which caused a crash.

v4.0.5 (September 1, 2012)

  • Fix: The decombine-on-mouse-hover option didn't work correctly with show-labels on.

v4.0.4 (September 1, 2012)

  • Improved the decombine-on-mouse-hover option, which also fixes a potential crash.
  • Fix: It's now possible to interact with the tray icon when update notification balloon is visible.
  • Language update: Slovenian.

v4.0.3 (August 26, 2012)

  • The tweaker shows you a changelog before updating.
  • Taskbar Inspector: A per-AppID option to group pinned items.
  • Improved interaction with sndvol.exe, making volume controlling more robust.
  • Fix: The "When not grouping, place new items next to the existing ones" option didn't work with pinned items.
  • New language: Traditional Chinese, thanks HJL!

v4.0.2 (August 17, 2012)

  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option (this time, hopefully, for real).

v4.0.1 (August 16, 2012)

  • Made the "Double/Middle click on empty space" -> "Ctrl+Alt+Tab" work as expected on Windows 7.
  • Added the option "Double/Middle click on empty space" -> "Ctrl+Win+Tab" for Windows 7. If aero is off or the tweaker runs on Windows 8, the option works like "Ctrl+Alt+Tab".
  • Fixed a crash when using the "When not grouping, place new items next to the existing ones" option.

v4.0 (August 12, 2012)

  • New program name: 7+ Taskbar Tweaker.
  • Windows 8 support.
  • General stability improvements and bug fixes.

v3.4.3 (April 20, 2012)

  • Simplified Chinese translation, thanks horan.
  • Option: Toggle taskbar auto-hide on double/middle clicking the taskbar's empty space.
  • Some minor improvements and fixes.

v3.4.2 (April 8, 2012)

  • Fix: A Taskbar Inspector bug in the 64-bit version.
  • Less disturbing update notification.
  • Volume scrolling: If system is muted, the slider shows up, but you must leave the taskbar to unmute it.

v3.4.1 (March 23, 2012)

  • Language updates.
  • Fix: If decombine on mouse hover is on, group combines when closing with middle click.

v3.4 (February 27, 2012)

  • Option: Thumbnails reordering by mouse dragging.

This option was requested since the first version of the tweaker, so here you go.

  • Option: Left click on combined item -> Open last window if inactive, otherwise open thumbnail preview.

Suggested by mathrick .

  • Option: Toggle mute system volume on empty space double/middle click.
  • Update checker.

Now the tweaker automatically checks for new versions, and allows you to update with one click.

v3.3.2 (February 5, 2012)

  • Fixed: Taskbar Inspector size didn't get saved.
  • Fixed a crash in the 64-bit version.
  • Added a Version Info resource.
  • Other small fixes.

v3.3.1 (January 15, 2012)

  • Some small fix.

v3.3 (January 15, 2012)

  • Option: Left click on the active thumbnail minimizes the window.

Windows 7's taskbar provides no easy way to minimize a window in a combined item. The whell scroll options help here, but when a mouse wheel is not available (e.g. a laptop), they don't help much. The new option provides a way to minimize the active window by clicking on it's thumbnail.

  • Fix: Multiple thumbnails now show up when grouping is disabled.

This bug existed since the first version of the tweaker. When grouping was disabled programs which used to show multiple thumbnails for a single window (like IE and it's thumbnails for tabs) showed only one thumbnail.

  • Italian language. Thanks vfede!

v3.2.1 (December 17, 2011)

  • When volume is muted, the volume control does not show up with mouse scroll.
  • If mouse scroll volume control is on, middle clicking the volume control tray icon toggles volume mute.
  • Fixed the autorun setting of the portable version.

v3.2 (December 3, 2011)

  • A portable version.

From the setup wizard, you can choose to install the tweaker normally or to extract the portable version. The portable version works for both 32 and 64 bit systems.

  • Option to change system volume by scrolling.

You can choose to enable this option for the notification area or for the whole taskbar.

  • Option to open ungrouped items nearby.

In case you disabled grouping for some (or all) of the taskbar items, you have now the option to open them one near the other.

  • Alphabetically sorting of items in a group.
  • Brazilian Portuguese language. Thanks Carlos!

v3.1.1 (November 27, 2011)

  • Languages updated, Portuguese was added (thanks Carlos).

v3.1 (November 13, 2011)

  • More taskbar item hover options.

Now you can choose to show a list instead of the thumbnail preview, show a tooltip (shows only if the title doesn't fit), or show nothing at all.

  • More combining options.

You can choose to combine (or not) your taskbar items. Also, you can set per Application ID rules for combining in Taskbar Inspector.

  • New option: Reserve empty space on taskbar.

The tweaker has options for middle/double clicking the taskbar's empty space. It works great except when the taskbar gets full. This option reserves a little square at the end of the task list, where you can always double/middle click.

  • New option: Hide the "Show desktop" button.

This option was requested several times, so here you go.

  • Small fixes.

The most notable of which is that the thumbnail preview does not get closed when you minimize with the mouse wheel.

v3.0.2 (November 11, 2011)

  • Improved compatibility with programs that use global mouse hook, such as WizMouse.

See details here .

  • Reversed scrolling direction for minimizing/restoring with mouse wheel if the taskbar is on top.

http://rammichael.com/7-taskbar-tweaker-v3-0/comment-page-1#comment-1058

v3.0.1 (November 11, 2011)

  • Fixed a bug with "Decombine active group" option.

v3.0 (October 22, 2011)

  • Mouse wheel options:

You can scroll between taskbar items with the mouse wheel, as well as minimize/restore a window when hovering a taskbar item or a thumbnail.

  • Decombining the active group.

This option will keep the currently active group decombined, similarly to the "decombine on mouse hover" feature.

  • New interface logic.

The options are now divided into three categories: Taskbar items, Grouping and combining, and Other, which will make it easier for you to navigate through them, and will make it easier for me to add new options. Special thanks to Arcyon for giving me some tips about the interface.

  • Improved stability.

The previous versions had some flaws regarding thread safety. This could rarely lead to a crash, a Taskbar Inspector window that does not close, or some other issue. The new version fixes these.

v2.1 (June 15, 2011)

  • Multiple Languages support.
  • A several-times-requested feature to open pinned items with double click to avoid accidental clicking.
  • The tweaker is now compatible with Dexpot's SevenDex feature. Note that if you use the "Don't group" tweaker option, force SevenDex's Application ID to group for the thumbnails to show up correctly.
  • The installer works on Windows Server 2008 R2. I did not actually test the tweaker on this OS, but I've heard it works, so here you go.

v2.0 (April 18, 2011)

  • An option to drag within groups, which enables you to group your taskbar items the way you want to using the right mouse button.

There's a bonus coming with that feature: you can scroll your mouse wheel while holding the right mouse button to show/hide labels of the group under the mouse.

  • The tweaker is distributed within a setup package.

v1.8 (February 18, 2011)

  • The decombine-on-hover feature introduced in v1.7 can also show labels when decombining.
  • Taskbar Inspector can now be opened by left clicking the tray icon.
  • The "Left click on grouped item" function is back. Although the tweak can be enabled through the registry , people wanted it back in 7TT, so here it is.

v1.7 (January 7, 2011)

  • New option: Decombine on hover.
  • New option: Make pinned items smaller.
  • Removed option: "cycle through windows option" on "left click on grouped button".

v1.6 (December 11, 2010)

  • 7 Taskbar Tweaker allows you to change Application IDs in order to group any items you want.
  • You can choose which Application IDs should have label, and which should not.
  • You can cascade/tile multiple windows.

v1.5 (November 27, 2010)

  • Taskbar Inspector:

1. Reorder items within a group.

2. Per Application ID grouping options.

3. Multiple window closing.

  • New option: Minimize taskbar items on middle click.
  • New option: Show desktop or open the Alt+Tab window (Ctrl+Alt+Tab) by double or middle clicking the empty space on the taskbar.

v1.0 (September 30, 2009)

  • First public version.


Muokattavat toiminnot

Muokattavat toiminnot on jaettu kolmeen osaan:

  • Tehtäväpalkin kuvakkeet

Muokkaa tehtäväpalkin kuvakkeisiin liittyviä toimintoja kuten hiiren keski/oikean näppäimen klikkaukset, raahaaminen ja toiminta kun kohdistin kuvakkeen päällä.

  • Ryhmittely ja yhdistäminen

Estä kuvakkeiden ryhmittely, salli kuvakkeiden siirtely raahaamalla, estä tai salli kuvakkeiden yhdistäminen ja paljon muuta.

  • Muut tehtäväpalkin valinnat

Muokkaa hiiren pyörän, tehtäväpalkin tyhjän tilan ja muutamia muita toimintoja.


Tehtäväpalkin kuvakkeet

Muokattavat toiminnot ››

Terminologia

Valinnat

  • Hiiren oikean näppäimen klikkaus
  • Hiiren keskinäppäimen klikkaus
  • Raahaaminen
  • Kohdistin kuvakkeen päällä
  • Esikatselukuvat
  • Liitetyt kuvakkeet


Hiiren oikean näppäimen klikkaus

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Määrittelee avattavan valikon, kun klikataan hiiren oikealla näppäimellä tehtäväpalkin kuvakkeessa:

  • Pikavalikko (vakio)

  • Vakio valikkolista

Huomio

Kun painat Shift näppäintä klikatessa niin aukeaa toinen valikko.


Hiiren keskinäppäimen klikkaus

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Määrittelee avattavan valikon, kun klikataan hiiren keskinäppäimellä tehtäväpalkin kuvakkeessa:

  • Uusi ohjelmaikkuna (vakio)
  • Vaihda
  • Pienennä
  • Sulje


Raahaaminen

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Määrittelee toiminnon, kun kuvake raahataan tehtäväpalkin kuvakkeeseen:

  • Liitä kuvakkeeksi (vakio)

  • Avaa ohjelmalla

Huomio

Kun painat Shift näppäintä raahatessasi niin valitaan toinen toiminto.


Kohdistin kuvakkeen päällä

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Määrittelee mitä näytetään, kun kohdistin on tehtäväpalkin kuvakkeen päällä:

  • Esikatselukuva (vakio)

  • Lista

  • Työkaluohje

  • Ei mitään


Esikatselukuvat

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Uudelleenjärjestä raahaamalla

Voit raahata esikatselukuvia ja muuttaa niiden järjestystä.

Huomio

Yleensä esikatselukuvien järjestyksen muuttaminen muuttaa myös tehtäväpalkin kuvakkeiden järjestystä, ei kuitenkaan aina. Kun ohjelma käyttää muokattuja esikatselukuvia (kuten Internet Explorer välilehdissä), esikatselukuvat ja tehtäväpalkin kuvakkeet eivät ole sidoksissa toisiinsa joten toisten järjestyksen muuttaminen ei vaikuta toisiin.

Hiiren vasemman näppäimen klikkaus pienentää ikkunan

Hiiren vasemman näppäimen klikkaus aktiivisen ikkunan esikatselukuvassa pienentää ikkunan.


Liitetyt kuvakkeet

Muokattavat toiminnot ›› Tehtäväpalkin kuvakkeet ››

Poista tyhjä väli kuvakkeiden väliltä

Pienentää liitettyjen kuvakkeiden välissä olevaa tilaa.

Ennen

Jälkeen

Huomio

Tällä toiminnolla ei ole vaikutusta, kun tehtäväpalkki on pystysuunnassa.

Avaa kaksoisklikkaamalla

Avaa liitetyt kuvakkeet kaksoisklikkaamalla yhden klikkauksen sijasta.

Voit avata myös yhdellä klikkauksella, kun painat Shift näppäintä.

Estää liitettyjen kuvakkeiden ohjelmien käynnistyksen vahingossa.


Ryhmittely ja yhdistäminen

Muokattavat toiminnot ››

Terminologia

Valinnat

  • Ryhmittely
  • Yhdistäminen
  • Hiiren vasemman näppäimen klikkaus yhdistetyssä kuvakkeessa


Ryhmittely

Muokattavat toiminnot ›› Ryhmittely ja yhdistäminen ››

Windows 7 lähtien jokaisella ikkunalla on ohjelma ID. Jos ohjelma itse ei määritä ID:tä niin se määräytyy ohjelman hakemistopolun mukaan.

Oletuksena tehtäväpalkin kuvakkeet ryhmitellään ohjelma ID:n mukaan. Tämä toiminto mahdollistaa ryhmittelyn muokkauksen:

  • Ryhmittele ohjelma ID:n mukaan (vakio)

  • Älä ryhmittele

Huomio

Ohjelma ID:n mukaan tapahtuvaa ryhmittelyä voi muokata käyttämällä Taskbar Inspector ohjelmaa.

Ei ryhmittelyä, aseta uudet kuvakkeet vanhojen viereen

Kun ryhmittely ei ole käytössä, uudet kuvakkeet lisätään tehtäväpalkin loppuun. Tämä toiminto lisää kuvakkeet niiden kuvakkeiden viereen joihin kuvake lisättäisiin ryhmittelyn ollessa käytössä.

Jos esimerkiksi avaat toisen Notepad ikkunan, tämä on oletusnäkymänä:

Kun ryhmittely ei ole käytössä, näkymä on tämä:

Kun ryhmittely ei ole käytössä ja valitset tämän asetuksen, näkymä on tämä:

Älä ryhmittele liitettyjä kuvakkeita

Jokaisella liitetyllä kuvakkeella on ohjelma ID kuten tehtäväpalkin kuvakkeilla. Kun avataan uusi ikkuna jolla on sama ohjelma ID kuin liitetyllä kuvakkeella niin uuden ikkunan kuvake korvaa liitetyn kuvakkeen. Tämä asetus lisää uuden kuvakkeen tehtäväpalkin loppuun ja liitetty kuvake jää näkyviin.

Esimerkiksi tehtäväpalkissa on liitetty kuvake Notepad:

Kun uusi Notepad ikkuna avataan näkymä on oletuksena tämä:

Kun tämä asetus on valittu niin näkymä on tämä:

Huomio

Liitettyjen kuvakkeiden ryhmittelyä ohjelma ID:n mukaan on mahdollista muokata Taskbar Inspector ohjelmalla.

Siirrä ryhmässä tai ryhmästä toiseen hiiren oikealla näpäimellä

Tämän asetuksen avulla voit klikata tehtäväpalkin kuvaketta hiiren oikealla näppäimella ja raahata kuvakkeen uuteen paikkaan:

  • Kun raahataan ryhmän sisällä niin kuvakkeen paikkaa vaihdetaan ryhmän sisällä.
  • Kun raahataan kohti toista kuvaketta ryhmän ulkopuolella niin kuvake ryhmitellään ulkopuolisen kuvakkeen kanssa.
  • Kun raahataan kuvakkeiden ulkopuolelle niin kuvakkeesta muodostetaan oma ryhmä.


Yhdistäminen

Muokattavat toiminnot ›› Ryhmittely ja yhdistäminen ››

Riippuen tehtäväpalkin asetuksista kuvakkeet voivat olla yhdistettyjä tai yhdistämättömiä.

Tämän asetuksen avulla voit muuttaa toimintoa:

  • Käytä tehtäväpalkin asetuksia (vakio)

Yhdistä aina, piilota tekstit:

Älä yhdistä:

  • Yhdistä ryhmitellyt kuvakkeet

Yhdistä aina, piilota tekstit:

Sama kuin vakio.

Älä yhdistä:

  • Älä yhdistä ryhmiteltyjä kuvakkeita

Yhdistä aina, piilota tekstit:

Älä yhdistä:

Sama kuin vakio.

Huomio

  • Tällä asetuksella ei ole vaikutusta, kun "Yhdistä, kun tehtäväpalkki täynnä" on valittu tehtäväpalkin asetuksissa.
  • Yhdistämistä on mahdollista muokata ohjelmakohtaisesti Taskbar Inspector ohjelmalla.

Pura yhdistäminen:

Nämä asetukset purkavat yhdistämisen tietyissä tilanteissa:

  • Actiivisessa ryhmässä

Kun joku yhdistetyn ryhmän kuvakkeista tulee aktiiviseksi niin yhdistäminen puretaan.

  • Kun hiiren kohdistin kuvakkeen päällä

Kun hiiren kohdistin on yhdistetyn ryhmän kuvakkeen päällä niin yhdistäminen puretaan.

...ja näytä tekstit

Kun tämä asetus on valittu niin tehtäväpalkin kuvakkeiden teksti tulee näkyviin yhdistämisen purkamisen lisäksi.


Hiiren vasemman näppäimen klikkaus yhdistetyssä kuvakkeessa

Muokattavat toiminnot ›› Ryhmittely ja yhdistäminen ››

Määrittelee toiminnan, kun hiiren vasenta näppäintä klikataan yhdistetyssä kuvakkeessa:

  • Avaa esikatselukuva (vakio)
  • Näytä ikkunat vuorotellen
  • Avaa viimeinen ikkuna jos ei aktiivinen, muutoin avaa esikatselukuva

Jos yksikään yhdistetyn kuvakkeen ikkunoista ei ole aktiivinen niin avaa ryhmän viimeinen ikkuna.

Muutoin avaa esikatselukuva.

Note

Hold Ctrl while left clicking a combined group to get the other action.


Muut tehtäväpalkin valinnat

Muokattavat toiminnot ››

Valinnat

  • Hiiren pyörä
  • Kaksoisklikkaus tyhjällä alueella
  • Muut


Hiiren pyörä

Muokattavat toiminnot ›› Muut tehtäväpalkin valinnat ››

Avaa tehtäväpalkin ikkunat vuorotellen

Jos valittu niin hiiren pyörän pyörittäminen kohdistimen ollessa tehtäväpalkin päällä avaa ikkunat vuorotellen.

Älä avaa pienennettyjä ikkunoita

Jos valittu niin pienennettyjä ikkunoita ei avata.

Pienennä/palauta ikkuna, kun hiiri on:

Tämän asetuksen avulla voit pienentää/palauttaa ikkunan hiiren pyörää pyörittämällä, kun kohdistin on valitun kohteen päällä:

  • Tehtäväpalkin kuvake
  • Esikatselukuva

Säädä äänenvoimakkuutta, kun hiiri on:

Tämän asetuksen avulla voit säätää äänenvoimakkuutta hiiren pyörää pyörittämällä, kun kohdistin on valitun kohteen päällä:

  • Tehtäväpalkki
  • Huomautusalue

Bonus

Kun joku ylläolevista asetuksista on valittu niin hiiren keskinäppäimen klikkaus kohdistimen ollessa äänenvoimakkuus kuvakkeen päällä vaimentaa kaiuttimien äänet.


Hiiren klikkaus tehtäväpalkin tyhjällä alueella

Muokattavat toiminnot ›› Muut tehtäväpalkin valinnat ››

Nämä asetukset liittyvät tehtäväpalkin tyhjään alueeseen:

Oletuksena hiiren vasemman näppäimen kaksoisklikkaus tai keskinäppäimen klikkaus tehtäväpalkin tyhjällä alueella ei tee mitään.

Voit valita seuraavista suoritettavan toiminnon:

  • Ei mitään (vakio)
  • Näytä työpöytä
  • Ctrl+Alt+Tab
  • Tehtävienhallinta
  • Taskbar Inspector
  • Vaimenna äänet
  • Piilota tehtäväpalkki
  • Win+Tab / Ctrl+Win+Tab
  • Käynnistä-valikko/-ikkuna


Muut

Muokattavat toiminnot ›› Muut tehtäväpalkin valinnat ››

Piilota Käynnistä näppäin

Piilottaa Käynnistä näppäimen.

Avataksesi Windows 7 Käynnistä-valikon, klikkaa hiirellä näytön kulmaa missä Käynnistä näppäin oli.

Avataksesi Windows 8.1 Käynnistä-ikkunan, klikkaa hiirellä näytön vasenta alakulmaa.

Koska Windows 8 ei ole Käynnistä näppäintä oletuksena niin tällä asetuksella ei luonnollisesti ole mitään vaikutusta.

Ennen

Jälkeen

Piilota "Näytä työpöytä" näppäin

Piilottaa "Näytä työpöytä" näppäimen tehtäväpalkin lopussa.

Ennen

Jälkeen

Näytä sekunnit tehtäväpalkin kellossa

Näyttää tuntien ja minuuttien lisäksi sekunnit tehtäväpalkin kellossa.

Varaa tyhjä tila tehtäväpalkkiin

7+ Taskbar Tweaker mahdollistaa erilaisia toimintoja kun hiirtä klikataan tehtäväpalkin tyhjällä alueella . Hiiren klikkaaminen on hankalaa kun tehtäväpalkki on täynnä. Tämän asetuksen avulla varataan pieni tyhjä tila tehtäväpalkkiin joka helpottaa hiiren klikkauksia.

Ennen

Jälkeen


Taskbar Inspector

Taskbar Inspector on lista tehtäväpalkin kuvakkeista ryhmiteltynä ohjelma ID:n mukaan samalla tavalla kuin tehtäväpalkin kuvakkeet.

Huomio

Painamalla Ctrl+Shift näppäimiä käynnistäessäsi Taskbar Inspector ohjelman, jää ohjelmaikkuna auki vaikka siirryt muualle. Sulkeaksesi ohjelman paina Escape näppäintä.

Ohjelma ID

Jokainen sisentämätön nuoli-kuvakkeella alkava rivi edustaa ohjelma ID:tä.

Sen alla saattaa olla sisennettyjä alariveja. Ne edustavat tehtäväpalkin kuvakkeita.

Liitetyn kuvakkeen ohjelma ID:llä ei ole alarivejä.

Tehtäväpalkin kuvakkeen ohjelma ID:llä on yksi alarivi.

Ryhmitellyn tehtäväpalkin ikonin kuvakkeen ohjelma ID:n alla on useita alarivejä.

Kaksoisklikkaamalla ohjelma ID riviä valitaan sen alarivit.

Hiiren oikean näppäimen klikkaus ohjelma ID rivin päällä (kun pelkästään ohjelma ID rivi on valittu) avaa ohjelma ID valikon:

  • Näytä tekstit
  • Ryhmittele

Lue lisää ryhmittelystä .

  • Ryhmittele liitetyt kuvakkeet

Lue lisää liitettyjen kuvakkeiden ryhmittelystä .

  • Yhdistä

Lue lisää yhdistämisestä .

  • Järjestä ryhmän kuvakkeet (Kun ohjelma ID rivin alla on useampia alarivejä)

Järjestää kuvakkeet aakkosjärjestykseen.

Tehtäväpalkin kuvakkeet

Listan sisennetyt rivit edustavat tehtäväpalkin kuvakkeita.

Ryhmiteltyjen kuvakkeiden järjestystä voi muuttaa hiirellä raahaamalla.

Hiiren oikean näppäimen klikkaus sisennetyn alarivin päällä avaa valikon:

  • Vaihda ohjelma ID

Vaihtaa valitun tehtäväpalkin kuvakkeen ohjelma ID:n.

Listalla näkyy valittavissa olevat ohjelma ID:t. Lisäksi on kaksi erityisvalintaa:

    • satunnainen_ryhmä_[numero]

Vaihtaa satunnaisen ohjelma ID:n jonka 7+ Taskbar Tweaker muodostaa.

Satunnaisen ohjelma ID:n saavat tehtäväpalkin kuvakkeet ryhmitellään aina vaikka ryhmittely ei olisi käytössä. Tämä mahdollistaa usean kuvakkeen samanaikaisen valinnan ryhmän muodostamiseksi.

    • (palauta)

Palauttaa alkuperäisen ohjelma ID:n.

  • Putous (Kun useita listan rivejä valittu)
  • Tiili vaakasuunnassa (Kun useita listan rivejä valittu)
  • Tiili pystysuunnassa (Kun useita listan rivejä valittu)
  • Palauta
  • Pienennä
  • Suurenna
  • Sulje


Asetukset

Käynnistä automaattisesti

Määrittelee käynnistetäänkö 7+ Taskbar Tweaker automaattisesti kun Windows käynnistyy.

Huomio

Tämä asetus luo 7 Taskbar Tweaker rekisteriasetuksen osioon:

HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Run

Tämä asetus sisältää ohjelman hakemistopolun. Rivin lopussa on -hidewnd komento (ohjelmaikkunaa ei avata).

Etsi päivityksiä

Kun valittu, ohjelma etsii automaattisesti päivityksiä.

Kun päivitys on saatavilla ilmestyy ohjelman tehtäväpalkin kuvakkeen päälle vihreä nuoli ja puhekupla jossa ohjeita.

Kun klikkaat hiirellä puhekuplaa, aukeaa päivitys ikkuna missä voit valita haluatko päivittää uudempaan versioon.

Voit myös katsoa muutoshistoriaa ja estää ohjelmaa tarjoamasta kyseistä päivitysversiota uudelleen.

Huomio

Ohjelma etsii päivityksiä 24 tunnin välein.

Update automatically

When set, the tweaker updates automatically in the background once a new version is available.

Piilota tehtäväpalkin kuvake

Kun valittu, ei tehtäväpalkissa näytetä ohjelman kuvaketta.

Jos haluat avata ohjelman pääikkunan pitää ohjelma käynnistää uudelleen.

Ohjelman sulkemiseksi pitää tehtäväpalkin kuvake olla näkyvillä.

Hiiren vasemman näppäimen klikkaus tehtäväpalkin kuvakkeen päällä avaa:

Voit valita kumman ohjelman haluat käynnistää, kun ohjelman tehtäväpalkin kuvakkeen päällä klikataan hiiren vasemmalla näppäimellä:

  • 7+ Taskbar Tweaker
  • Taskbar Inspector

Kieli:

Voit valita ohjelman käyttöliittymän kielen.

Huomio

Tietoja kuinka voit kääntää ohjelman omalle kielellesi löytyy ohjelman online FAQ sivuilta.


Lisäasetukset

7+ Taskbar Tweaker ohjelma sisältää lisäasetuksia joiden avulla ohjelmaa voi muokata enemmän.

Näitä asetuksia voi muokata Lisäasetukset ikkunassa.

Ikkuna voidaan avata klikkaamalla hiiren oikealla näppäimellä ohjelman tehtäväpalkin kuvaketta tai pää-ikkunan järjestelmäpalkkia ja valitsemalla Lisäasetukset.


Lisävalinnat

Lisäasetukset ››

Näiden lisävalintojen avulla voidaan muokata 7+Taskbar Tweaker ohjelman toimintaa.

Jotkut valinnat vaikuttavat Windowsin vikojen korjauksiin.

Arvo

Nimi

Tieto

always_show_thumb_labels

Oletuksena esikatselukuvassa näytetään teksti vain kun tehtäväpalkin kuvakkeissa ei näytetä tekstiä. Tämän valinnan avulla on mahdollista näyttää teksti esikatselukuvassa aina riippumatta siitä näytetäänkö teksti tehtäväpalkin kuvakkeessa vai ei.

0 - Pois päältä (vakio)

1 - Päällä

always_show_tooltip

Oletuksena, kun hiiren kohdistin viedään tehtäväpalkin ikonin päälle näytetään työkaluohje vain jos teksti ei mahdu kuvakkeeseen. Tämä valinta näyttää työkaluohjeen aina.

0 - Pois päältä (vakio)

1 - Päällä

cycle_same_virtual_desktop

Fixes the Left click on combined item option to cycle only through windows that belong to the current virtual desktop. The option affects only Windows 10, until Windows 10 Anniversary Update, where the bug was fixed.

0 - Disabled (default)

1 - Enabled

disable_items_drag

This options disables the drag operation of taskbar items on the task list. That means that reordering of items is no longer possible, and the jump list does not show up when dragging an item towards the desktop.

0 - Disabled (default)

1 - Enabled

disable_taskbar_transparency

Tämä valinta estää tehtäväpalkin läpinäkyvyyden.

0 - No change (default)

1 - Disable transparency

2 - Disable transparency, and use basic theme for taskbar color (Windows 7)

disable_topmost

Oletuksena tehtäväpalkki on aina päällimmäisenä. Tämä valinta mahdollistaa toiminnon muuttamisen.

0 - Aina päällimmäisenä (vakio)

1 - Ei aina päällimmäisenä mutta ei jää suurennetun ikkunan alle

2 - Ei aina päällimmäisenä ja jää suurennetun ikkunan alle

disable_tray_icons_drag

This options disables the drag operation of notification area items. That means that reordering of items is no longer possible.

0 - Disabled (default)

1 - Enabled

drag_towards_desktop

Oletuksena, kun raahataan tehtäväpalkin kuvaketta työpöydälle aukeaa pikavalikko. Tämä valinta mahdollistaa muun toiminnon valitsemisen.

0 - Pikavalikko (vakio)

1 - Pois päältä

2 - Vaihda

3 - Pienennä

4 - Sulje

5 - Uusi ohjelmaikkuna

6 - Näytä esikatselukuva

fix_hang_reposition

Windowsin vian vuoksi, kun jumissa oleva ikkuna palautuu aktiiviseksi, ikkunan tehtäväpalkin kuvake saattaa hävitä ja tulla näkyviin tehtäväpalkin loppuun. Tämä valinta korjaa vian.

0 - Pois päältä

1 - Päällä (vakio)

list_reverse_order

Kun asetus Hiiren kohdistin kuvakkeen päällä on Lista, uudet rivit näytetään vanhojen alapuolella. Tämän valinnan avulla voi järjestyksen kääntää.

The option only works for Windows 7, Windows 8, and Windows 8.1.

0 - Pois päältä (vakio)

1 - Päällä

multipage_wheel_scroll

Kun tehtäväpalkki tulee täyteen luodaan lisäsivuja ja näytetään liukupalkki. Tämä valinta mahdollistaa eri sivuille siirtymisen hiiren pyörän avulla.

0 - Pois päältä (vakio)

1 - Päällä

multirow_equal_width

Kun käytetään tehtäväpalkkia jossa on useita rivejä tämä valinta pakottaa kuvakkeet kaikilla riveillä saman levyisiksi. Huomaa, että valinta ei vaikuta jos tehtäväpalkissa on ryhmiteltyjä, yhdistettyjä tai liitettyjä kuvakkeita.

0 - Pois päältä (vakio)

1 - Päällä

no_start_btn_spacing

Kun Piilota Käynnistä näppäin on valittu, tämän valinnan avulla voi muuttaa etäisyyttä tehtäväpalkin reunan ja kuvakkeiden välillä. The default spacing size is 13 pixels for Windows 7 and Windows 8.1, and is zero for Windows 10.

0 - Pois päältä (vakio)

Ei nolla - Etäisyys pikseleinä

no_width_limit

Oletuksena Windows rajoittaa pystysuuntaisen tehtäväpalkin leveyden. Rajoitettu leveys saattaa olla liian pieni joissain tapauksissa joten tämä valinta poistaa rajoituksen.

0 - Pois päältä (vakio)

1 - Päällä

nocheck_minimize

nocheck_maximize

nocheck_close

Oletuksena ennen ikkunan pienentämistä/suurentamista/sulkemista, 7+TT tarkistaa tukeeko ikkuna tätä toimintoa. Tämä valinta poistaa tarkistuksen. Huomioi, että se saattaa aiheuttaa odottamattoman tilanteen.

Käytetään: Hiiren keskinäppäimen valinnat, hiiren pyörän pienennä valinnat, Taskbar Inspector.

0 - Pois päältä (vakio)

1 - Päällä

pinned_ungrouped_animate_launch

Kun Älä ryhmittele liitettyjä kuvakkeita on valittu, animaatio liitettyjä kuvakkeita klikatessa on estetty. Tämä valinta poistaa eston.

0 - Pois päältä (vakio)

1 - Päällä

right_drag_toggle_labels

Lisää ylimääräisen ominaisuuden Siirrä ryhmässä tai ryhmästä toiseen hiiren oikealla näppäimellä toimintoon. Kun tämä ominaisuus on valittu ja kohdistin on kuvakkeen päällä, hiiren pyörän pyörittäminen samalla, kun painetaan hiiren oikeaa näppäintä näyttää/piilottaa kuvakkeen tekstin.

0 - Pois päältä (vakio)

1 - Päällä

scroll_maximize_restore

Laajentaa Pienennä/palauta ikkuna valinnan pienennä/palauta/suurenna ikkuna toiminnaksi.

0 - Pois päältä (vakio)

1 - Päällä

scroll_no_wrap

Disables the wrapping around behavior for the cycle between taskbar buttons option.

By default, if the last taskbar button is the active button, cycling further will activate the first button again. This option allows to disable this behavior, so that cycling will stop on the last taskbar button.

0 - Disabled (default)

1 - Enabled

scroll_reverse_cycle

Kääntää hiiren pyörän toiminnan päinvastaiseksi Avaa tehtäväpalkin ikkunat vuorotellen toiminnossa.

Oletuksena pyörän kiertäminen alaspäin siirtää oikealle ja pyörän kiertäminen ylöspäin siirtää vasemmalle. Tämä valinta vaihtaa siirtämissuunnan.

0 - Pois päältä (vakio)

1 - Päällä

scroll_reverse_minimize

Kääntää hiiren pyörän toiminnan päinvastaiseksi Pienennä/palauta ikkuna toiminnossa.

Oletuksena pyörän kiertäminen alaspäin pienentää ikkunan ja pyörän kiertäminen ylöspäin palauttaa ikkunan (ellei tehtäväpalkki ole ylhäällä). Tämä valinta vaihtaa kiertämissuunnan.

0 - Pois päältä (vakio)

1 - Päällä

show_desktop_button_size

Mahdollistaa "Näytä työpöytä" näppäimen koon muuttamisen.

Vakiokoko: Windows 7 ja Windows 8: 15 pikseliä, Windows 8.1: 8 pikseliä, ja Windows 10: 5 pikseliä.

0 - Pois päältä (vakio)

Ei nolla - Näppäimen koko pikseleinä

show_desktop_on_hover

This option makes the taskbar to show desktop when a file is dragged over the empty space of the task list, similarly to the way it works with the show desktop button. This functionality is similar to the way it worked with Windows XP.

0 - Disabled (default)

1 - Enabled

sndvol_tooltip

Säädä äänenvoimakkuutta toiminto käyttää Windowsin äänenvoimakkuuden ikkunaa. Tämän valinnan avulla käytetään sen sijasta työkaluohjetta.

0 - Pois päältä (vakio)

1 - Päällä

tray_clock_fix_width

Silloinkin, kun tehtäväpalkin kellossa ei näytetä päivämäärää (kun käytetään pieniä kuvakkeita), kuvakkeen leveys lasketaan sekä päivämäärän että kellonajan mukaan. Tämä valinta korjaa vian, kun näytetään vain kello, ei päivämäärää lasketa mukaan leveyteen.

The bug was officially fixed in Windows 10 Anniversary Update.

0 - Pois päältä (vakio)

1 - Päällä

tray_icons_padding

Mahdollistaa tehtäväpalkin huomautusalueen kuvakkeiden välisen etäisyyden muuttamisen.

Until Windows 10: The default horizontal padding is 8 pixels. The option allows to set a different padding size, in pixels.

Note: in early versions of Windows (e.g. Windows XP), the padding was equal to 2 pixels.

Since Windows 10: The option allows to increase the default horizontal padding size between icons, using an internal padding calculation algorithm.

0 - Pois päältä (vakio)

Ei nolla - Etäisyys

virtual_desktop_order_fix

Windows 10 introduces the virtual desktops feature, but it has a limitation: custom reordering of the taskbar buttons on the task list is not preserved between virtual desktop switches. This option causes explorer to preserve the custom order.

0 - Disabled (default)

1 - Enabled

w10_large_icons

When using large icons, their size was 32x32 on earlier Windows versions. On Windows 10, the default size is 24x24. This option allows to have 32x32 sized icons again.

0 - Disabled (default)

1 - Enabled

w7_show_desktop_classic_corner

Korjaa Windows 7 vian: kun klassinen teema on käytössä ja klikataan näytön kulmaa jossa "Näytä työpöytä" näppäin sijaitsee, ei näppäintä aktivoida.

0 - Pois päältä (vakio)

1 - Päällä

w7_tasklist_htclient

Oletuksena Windows 7 tehtäväpalkki toimii siirrettävänä säätimenä silloinkin kun se on lukittu. Tämä estää sen vastaanottamasta hiiren vasemman näppäimen klikkauksen huomautuksia eikä niitä voida muokata käyttäen Hiiren napit toimintoa. Tämä valinta muuttaa tehtäväpalkin toimimaan kiinteänä säätimenä kun se on lukittu ja sallii siten hiiren vasemman näppäimen klikkauksien muokkaamisen.

Huomio: Windows 8 toimii oikein eikä tämä valinta vaikuta siihen.

0 - Pois päältä (vakio)

1 - Päällä


Hiiren napit

Lisäasetukset ››

Tämän avulla voidaan hiirellä suorittaa erilaisia toimintoja tehtäväpalkissa.

Huomaa, että näillä toiminnoilla on korkeampi prioriteetti kuin vakiomuokkauksilla.

Arvon nimi

Arvon nimi määrittelee kohde elementin, hiiren klikkaustapahtuman ja muokkausnäppäimen.

Kohde elementti

Tällä hetkellä tuettuja ovat nämä:

  • taskbaritem - tehtäväpalkin kuvake.
  • emptyspace - tehtäväpalkin tyhjä tila.
  • volumeicon - the volume/speakers notification icon.
  • showdesktop - the "Show desktop" button.

Hiiren klikkaustapahtuma

Yksi seuraavista:

  • lclick - Vasemman näppäimen klikkaus.
  • ldblclick - Vasemman näppäimen kaksoisklikkaus.
  • rclick - Oikean näppäimen klikkaus.
  • rdblclick - Oikean näppäimen kaksoisklikkaus.
  • mclick - Keskinäppäimen klikkaus.
  • mdblclick - Keskinäppäimen kaksoisklikkaus.
  • x1click - Ensimmäisen X näppäimen (näppäin 4) klikkaus.
  • x1dblclick - Ensimmäisen X näppäimen (näppäin 4) kaksoisklikkaus.
  • x2click - Toisen X näppäimen (näppäin 5) klikkaus.
  • x2dblclick - Toisen X näppäimen (näppäin 5) klikkaus.

X näppäimet (näppäin 4 ja näppäin 5) viittaavat 5-näppäimiseen hiireen.

Muokkausnäppäin

Yksi tai useampi seuraavista:

  • ctrl
  • shift

Kaikki yhdessä

Lopullinen arvon nimi näyttää tältä:

kohde elementti|hiiren klikkaustapahtuma+muokkausnäppäin1+muokkausnäppäin2

Esimerkit:

  • taskbaritem|ctrl+shift+lclick - hiiren vasemman näppäimen klikkaus tehtäväpalkin kuvakkeessa, kun ctrl ja shift näppäimiä painetaan.
  • emptyspace|x1dblclick - hiiren näppäimen 4 kaksoisklikkaus tehtäväpalkin tyhjällä alueella.

Arvon tieto

Arvon tieto määrittelee hiiren klikkauksen toiminnon.

Arvon tieto toiminto määräytyy kohde elementin mukaan:

taskbaritem

  • 1 - Vaihda
  • 2 - Pienennä
  • 3 - Sulje
  • 4 - Uusi ohjelmaikkuna
  • 5 - Pikavalikko
  • 6 - Vakio valikkolista
  • 7 - Näytä esikatselukuva
  • 8 - Lopeta prosessi
  • 9 - Pienennä kaikki ikkkunat
  • 10 - Sulje kaikki ryhmän ikkunat
  • 11 - Maximize all group items
  • 12 - Restore all group items
  • 13 - Maximize
  • 14 - Restore
  • 15 - Alphabetically sort group items

emptyspace

volumeicon

showdesktop

  • 1 - Näytä työpöytä
  • 2 - Ctrl+Alt+Tab
  • 3 - Tehtävienhallinta
  • 4 - Taskbar Inspector
  • 5 - Vaimenna äänet
  • 6 - Piilota tehtäväpalkki
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Käynnistä-valikko/-ikkuna
  • 101 - Vaihda ikkunaan joka on aktiivisesta ikkunasta vasempaan tehtäväpalkissa.
  • 102 - Vaihda ikkunaan joka on aktiivisesta ikkunasta oikeaan tehtäväpalkissa
  • 103 - Sama kuin 101 mutta hyppää yli pienennetyt ikkunat.
  • 104 - Sama kuin 102 mutta hyppää yli pienennetyt ikkunat.

Esimerkit

  • taskbaritem|ctrl+shift+lclick - 3 - hiiren vasemman näppäimen klikkaus tehtäväpalkin kuvakkeessa, kun ctrl ja shift näppäimiä painetaan, sulkee ikkunan.
  • emptyspace|x1dblclick - 1 - hiiren näppäimen 4 kaksoisklikkaus tehtäväpalkin tyhjällä alueella näyttää työpöydän.


Pikanäppäimet

Lisäasetukset ››

Tämän avulla voidaan näppäimillä suorittaa erilaisia toimintoja tehtäväpalkissa.

Arvon nimi

Arvon nimi määrittee pikanäppäimen ja muokkausnäppäimet.

Pikanäppäin

Pikanäppäin määritellään virtuaalisella näppäinkoodilla.

Se voi olla desimaali- tai heksadesimaalinumero, heksadesimaalinumerossa pitää käyttää etuliitettä 0x.

Lista virtuaalisista näppäinkoodeista löytyy sivuilta Microsoft's web site .

Muokkausnäppäin

Yksi tai useampi seuraavista:

  • alt
  • ctrl
  • shift
  • win
  • norepeat - Komento lähetetään vain kerran vaikka näppäintä painettaisiin pidempään.

Kaikki yhdessä

Lopullinen arvon nimi näyttää tältä:

pikanäppäin|muokkausnäppäin1+muokkausnäppäin2

Esimerkit:

  • 0x27|ctrl+shift - Ctrl+Shift+Right.
  • 65|ctrl+alt+norepeat - Ctrl+Alt+A. Lähetetään vain kerran vaikka näppäimiä painettaisiin pidempään.

Arvon tieto

Arvon tieto määrittelee suoritettavan toiminnon, kun näppäimiä painetaan.

  • 1 - Näytä työpöytä
  • 2 - Ctrl+Alt+Tab
  • 3 - Tehtävienhallinta
  • 4 - Taskbar Inspector
  • 5 - Vaimenna äänet
  • 6 - Piilota tehtäväpalkki
  • 7 - Win+Tab / Ctrl+Win+Tab
  • 8 - Käynnistä-valikko/-ikkuna
  • 101 - Vaihda ikkunaan joka on aktiivisesta ikkunasta vasempaan tehtäväpalkissa.
  • 102 - Vaihda ikkunaan joka on aktiivisesta ikkunasta oikeaan tehtäväpalkissa
  • 103 - Sama kuin 101 mutta hyppää yli pienennetyt ikkunat.
  • 104 - Sama kuin 102 mutta hyppää yli pienennetyt ikkunat.

Esimerkit

  • 0x25|ctrl+shift - 103 - Ctrl+Shift+Left - avaa ikkunan joka on aktiivisesta ikkunasta vasempaan tehtäväpalkissa mutta hyppää pienennetyt ikkunat yli. Jos näppäimiä painetaan pidempään niin avaa seuraavan ikkunan jne.
  • 0x27|ctrl+shift - 104 - Ctrl+Shift+Right - avaa ikkunan joka on aktiivisesta ikkunasta oikeaan tehtäväpalkissa mutta hyppää pienennetyt ikkunat yli. Jos näppäimiä painetaan pidempään niin avaa seuraavan ikkunan jne.
  • 65|ctrl+alt+norepeat - 4 - Ctrl+Alt+A - avaa Taskbar Inspector. Lähetetään vain kerran vaikka näppäimiä painettaisiin pidempään.